Login not works

Last Version working Login Version is 1.31 the next version i had downloaded was 1.34 this and all newer version i can not login. What has changed? If i install back to 1.31 Login works but can not play or use newer version. Also not if i run the game as Admin. Firewall must be ok because 1.31 works do you have a different authentication implemented in newer Version?

One Comment

Add a Comment